package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.IEnum;

/**
 * 奖品入库类型
 * @auther zhongcp
 * @create 2022 2022/3/7 2:30 下午
 * @describe
 */
public enum PrizeStorageInTypeEnum implements IEnum<Integer> {

  TICKET_CASHED(1, "盲票奖品"),
  COIN_EXCHANGE(2, "盲豆兑换"),
  MARKETING(3, "营销活动");


  private final int value;
  private final String desc;

  PrizeStorageInTypeEnum(int value, String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }


  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value", value);
    object.put("desc", desc);
    return object.toString();
  }
}
